API referenceOperations
Create an explicit browser checkpoint
POST
/v1/sessions/{session_id}/checkpointsAuthorization
apiKey AuthorizationBearer <token>
In: header
Path Parameters
session_id*string
Match
^sess_[0-9a-f]{16}([0-9a-f]{16})?$Header Parameters
Idempotency-Key*string
Stable key for one logical mutation. Reuse only with the byte-equivalent request.
Match
^[A-Za-z0-9._:-]+$Length
16 <= length <= 128Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
{ "operation_id": "string", "checkpoint_id": "string", "safe_point": { "infrastructure_barriers_passed": true, "warning_codes": [ "string" ] }}